HMWJTextInternal::PLC Struct Reference

Internal and low level: the PLC different types and their structures of a HMWJText. More...

## Public Member Functions

| PLC (PLCType w=Unknown, int id=0)
| constructor More...

## Public Attributes

PLCType | m_type
| PLC type. More...
int | m_id
| the indentificator More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<< More...

## Detailed Description

Internal and low level: the PLC different types and their structures of a HMWJText.

## Constructor & Destructor Documentation

HMWJTextInternal::PLC::PLC | ( | PLCType | w = `Unknown`,
|  | int | id = `0`
| ) |  |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | PLC const & | plc
| ) |  |

friend

operator<<

## Member Data Documentation

std::string HMWJTextInternal::PLC::m_extra

extra data

Referenced by HMWJText::readTextZone().

int HMWJTextInternal::PLC::m_id

the indentificator

Referenced by HMWJText::readTextToken(), and HMWJText::readTextZone().

PLCType HMWJTextInternal::PLC::m_type

PLC type.

Referenced by HMWJText::readTextZone().

The documentation for this struct was generated from the following file:

- HMWJText.cxx